SQL Server 2012/2014 をインストールするために必要な .NET Framework について


皆さん、こんにちは。 SQL Server/Microsoft Azure SQL Database サポートチームです。 今回は、SQL Server 2012/2014 をインストールするために必要な .NET Framework について紹介します。

 

SQL Server 2012/2014 をインストールするために必要な .NET Framework については、以下の Books Online で公開していますが、本 Blog の中で、.NET Framework の要件について補足したいと思います。

SQL Server 2014 のインストールに必要なハードウェアおよびソフトウェア

SQL Server 2012 のインストールに必要なハードウェアおよびソフトウェア

 

 .NET Framework  バージョン  補足説明
 .NET Framework 3.5 SP1  データベース エンジン、Reporting  Service、SQL Server Management Studio などの 機能/ツールをインストールする場合に必要
 .NET Framework 4 以上  インストールする機能に関わらず、.NET Framework 4 以上をインストールすることが必要

.NET Framework 4 と下位互換性のある バージョン もサポート

 

 [サポートされている .NET  Framework]

.NET Framework 4

.NET Framework 4.5 (4.5.1/4.5.2 含む)

.NET Framework 4.6 (4.6.1 含む)

※ 2016/01/12 以降、.NET Framework 4 / 4.5/ 4.5.1 はサポートが終了となるため、.NET Framework 4.5.2 以上の最新の .NET Framework を使用することを推奨

 .NET Framework 4 以上の言語パック

(例:  日本語  : 1041)

 言語パックは、.NET Framework と同じバージョンに合わせることを推奨

 

 [補足事項]

- 該当バージョンの .NET Framework が OSの機能に含まれている場合は、"Windows の機能の有効化または無効化" から 機能を有効化

- SQL Server 2014 Express Edition SP1 以降のバージョンで データベース エンジン のみを選択する場合、.NET Framework 3.5 SP1 もしくは、.NET Framework 4 以上のいずれかをインストール することで、SQL Server 2014 Express Edition SP1 以降のバージョンをインストールすることが可能

- インターネットに接続されていないオフラインの環境に SQL Server 2012/2014 をインストールする場合、オフライン インストーラーより、.NET Framework 及び .NET Framework 言語パック をインストール

Microsoft .NET Framework 4.6 (オフライン インストーラー)

Microsoft .NET Framework 4.6 Language Pack (オフライン インストーラー)

 

 [参考情報]

Microsoft .NET Framework サポート ライフサイクル ポリシー

SQL Server 2014 Express 日本語版 x86 インストール要件

エラー “Windows 機能 (NetFx3) を有効にしている時にエラーが発生しました。 エラー コード : -2146498298” について

Support Ending for the .NET Framework 4, 4.5 and 4.5.1

 

[追加情報]

SQL Server AlwaysOn フェールオーバー クラスター インスタンス環境 (以下 SQL Server AlwaysOn FCI) に、.NET Framework 4.6 をインストールすると、.NET Framework の問題 (KB 3078663) により、メンテナンス プランのジョブ 及び、sys_policy_purgehistory (ポリシーの評価履歴データの削除ジョブ)  から SQL Server インスタンスへの接続が失敗する可能性があります。

なお、上記の現象は、SQL Server AlwaysOn FCI 環境、かつ、名前付きインスタンスの場合にのみ発生し、既定のインスタンス、及び、 スタンドアローンの環境では発生しません。

Add Connection dialog box doesn't load server names in the drop-down list after you apply the .NET Framework 4.6

 

# 対処方法

.NET Framework 4.6 を 4.6.1 以上のバージョンにアップデート

※ 詳細は以下の Blog を参照

SQL Server AlwaysOn フェールオーバー クラスター インスタンス 環境に .NET Framework 4.6 をインストール後、メンテナンスプラン から SQL Server への接続に失敗する

 

※ 本Blog の内容は、2017年 10月 現在の内容となっております

Comments (1)

  1. Shigeki Mabuchi より:

    Windows server 2012R2の環境下で、SQLserver2012と.NETFrameworkの4.6.2をインストールしておりますが、SQL server management studioを変更・アンインストールしようとしたら、.NETFramework4.6.1のインストール画面が現れて動作を停止してしまいます。.NETFramework4.6.2を認識していないと思われますが、対処方法はないのでしょうか?

Skip to main content